
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import jp.riken.brain.ni.samuraigraph.base.SGITwoAxesHolder;

/**
 * An observer of the property dialog for two-dimensional vector-type data.
 *
 */
public interface SGIVXYDataDialogObserver
	extends SGIDataPropertyDialogObserver, SGITwoAxesHolder, SGIArrowPanelObserver
{

	public float getMagnitudePerCM();
	
	public boolean setMagnitudePerCM( final float f );
	
	public boolean isDirectionInvariant();
	
	public boolean setDirectionInvariant( final boolean b );

}

